$(function(){
	//音视频播放互斥操作
  var audios = document.getElementsByTagName("audio");
  var videos = document.getElementsByTagName("video");
  var images = document.getElementsByTagName("img");
  var ImageList = [];
  var options = {
      autoplay: false,
      preload: "none",
      controlBar: {
          volumeMenuButton:false,
          audioButton:false,
          //playToggle:false,
          //volumePanel:false,
          currentTimeDisplay:false,
          timeDivider:false,
          durationDisplay:false,
          progressControl:true,
          liveDisplay:false,
          remainingTimeDisplay:true,
          customControlSpacer:false,
          playbackRateMenuButton:false,
          chaptersButton:false,
          descriptionsButton:false,
          subsCapsButton:false,
          audioTrackButton:false,
          //fullscreenToggle:false
      }
  };

   //处理当有视频播放的情况
   $(videos).each(function(index,value){
      var _this = this;
      var url = this.src;
      $(_this).attr({
        "class" : "video-js sc-video",
        "data-setup" : "{}",
        "webkit-playsinline" : "true",
        "playsinline" : "true",
      });

      scPlayer=videojs(_this,options,function onPlayerReady() {
          this.on('play', function() {

              window.do_question.videoOnPlay();

              //当有视频播放时停掉所有音频
              for(var i=0; i<audios.length; i++){
                 audios[i].pause();
                 var currentAudio = $(audios[i]);

                 if(currentAudio.attr("id") == "BgMusic"){
                    var BtnBgMusic = $(".EbookWebView .BtnBgMusic");
                    eleRemoveClass(BtnBgMusic,"BtnBgMusicPlaying");
                 }else{

                    var othersAudio = currentAudio.siblings(".M-Art-AudioPlayer2").find(".BtnControl");
                    eleRemoveClass(othersAudio,"Playing");
                 }
              }

              for(var i=0; i<videos.length; i++){
                   if(i!=index){
                    //停掉其他所有视频的播放
                    videos[i].pause();
                   }
              }

          });

          this.on('pause', function() {

          });

          this.on('timeupdate', function (){
             if (scPlayer.duration() != 0 && scPlayer.currentTime() === scPlayer.duration()) {

             }
           });

          //全屏播放
          this.controlBar.getChild("fullscreenToggle").on('tap', function () {
              videos[index].pause();
              window.do_question.videoFullScreen(videos[index].currentTime,url);
          });

      });

});

  //处理当有音频播放的情况
  $(audios).each(function(index,value){
    var _this = this;
    _this.addEventListener("play",function(){
        window.do_question.audioOnPlay();
      //当有音频播放时，暂停所有视频
      for(var i=0; i<videos.length; i++){
            videos[i].pause();
      }


      if($(this).attr("id") == "BgMusic"){

        //设置其他音频暂停，并设置相应的样式
        for(var i=0; i<audios.length; i++){
          var currentAudio = $(audios[i]);
          if(i!=index){
            audios[i].pause();
            var othersAudio = currentAudio.siblings(".M-Art-AudioPlayer2").find(".BtnControl");
                eleRemoveClass(othersAudio,"Playing");
          }
        }


      }else{

        for(var i=0; i<audios.length; i++){
          var currentAudio = $(audios[i]);
          if(i!=index){
            audios[i].pause();
            //处理背景音乐
            if(currentAudio.attr("id") == "BgMusic"){
              var BtnBgMusic = $(".EbookWebView .BtnBgMusic");
                  eleRemoveClass(BtnBgMusic,"BtnBgMusicPlaying");
            }else{
              //处理其他文章内的音乐
              var othersAudio = currentAudio.siblings(".M-Art-AudioPlayer2").find(".BtnControl");
                  eleRemoveClass(othersAudio,"Playing");
            }
          }
        }
      }
    });

  });

  function eleRemoveClass(ele,className){
    /*
     * ele是jQuery包装过的元素
     * className是样式名
     */
    if(ele.hasClass(className)){
      ele.removeClass(className);
    }
  }

  $(images).not('.M-Art-Face,.M-Art-Symbol').each(function(index,value){
    ImageList.push($(this).attr("src"));
  });

  /**点击图片，查看大图 */
  $(images).not('.M-Art-Face,.M-Art-Symbol').each(function(index,value){
      $(this).click(function(){
          var ImageListJson = JSON.stringify(ImageList);
          window.do_question.bigImage(index,ImageListJson);
      })
  });

})

function pauseAll(){
    $(document.body).find('video').each(function () {
        try{
            this.pause();
        }catch(e){}
    });
    $(document.body).find('audio').each(function () {
        try{
            this.pause();
        }catch(e){}
    });
}
